if [ -z "$nCPUs" ]; then
    nCPUs=$(grep -c '^processor' /proc/cpuinfo 2>/dev/null || sysctl -n hw.ncpu)
fi
pref=$(basename $0 .sh)
DIR=../bin
JF="$DIR/jellyfish"
[ -n "$VALGRIND" ] && JF="valgrind $JF"
SRCDIR=/build/jellyfish-cgp5R7/jellyfish-2.3.0
BUILDDIR=/build/jellyfish-cgp5R7/jellyfish-2.3.0

check () {
    cut -d\  -f 2 $1 | xargs md5sum | sed 's/ \*/ /' | sort -k2,2 | diff -w $DIFFFLAGS $1 -
}

ENABLE_RUBY_BINDING=""
RUBY=""
ENABLE_PYTHON_BINDING="/usr/bin/python3"
PYTHON="/usr/bin/python3"
ENABLE_PERL_BINDING="/usr/lib/perl/5.30.0"
PERL="/usr/bin/perl"
SAMTOOLS="/usr/bin/samtools"
UNIX2DOS="/usr/bin/unix2dos"

if [ -n "$DEBUG" ]; then
    set -x;
    DIFFFLAGS="-y"
fi

set -e
